tile_traits_standard.h File Reference

Defines tile traits for several tile partitioning arrangements of threads expected to achieve efficient streaming performance. More...

`#include <cutlass/tile_iterator.h>`

Go to the source code of this file.

## Classes

struct | cutlass::TiledThreadOffset< ThreadShape >
| Basic thread offset function computed from a thread shape. More...
struct | cutlass::TileTraitsStrideMajor< Tile_, Threads >
struct | cutlass::TileTraitsContiguousMajor< Tile_, Threads >
struct | cutlass::TileTraitsWarpRake< Tile_, Threads >
| Tiling in which warps rake across the contiguous dimension. More...
struct | cutlass::TileTraitsWarpRake< Tile_, Threads >::ThreadOffset
| Computes the thread offset in (H, W) based on thread ID. More...
struct | cutlass::TileTraitsStandard< Tile_, Threads >
| Chooses 'best' shape to enable warp raking along contiguous dimension if possible. More...

## Namespaces

| cutlass